summaryrefslogtreecommitdiffstats
path: root/source/x/fcitx5/fcitx5.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/x/fcitx5/fcitx5.SlackBuild')
-rwxr-xr-xsource/x/fcitx5/fcitx5.SlackBuild6
1 files changed, 3 insertions, 3 deletions
diff --git a/source/x/fcitx5/fcitx5.SlackBuild b/source/x/fcitx5/fcitx5.SlackBuild
index cda538784..8bdd73def 100755
--- a/source/x/fcitx5/fcitx5.SlackBuild
+++ b/source/x/fcitx5/fcitx5.SlackBuild
@@ -1,7 +1,7 @@
#!/bin/bash
# Copyright 2012 vvoody <vvoodywang@gmail.com>
-# Copyright 2018, 2020, 2023 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2018, 2020, 2023, 2024 Patrick J. Volkerding, Sebeka, MN, USA
#
# All rights reserved.
#
@@ -25,7 +25,7 @@
cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=fcitx5
-VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | cut -f 2- -d _ | rev)}
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.zst | rev | cut -f 3- -d . | cut -f 1 -d - | cut -f 2- -d _ | rev)}
BUILD=${BUILD:-1}
NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
@@ -77,7 +77,7 @@ rm -rf $PKG
mkdir -p $TMP $PKG
cd $TMP
rm -rf fcitx5-$VERSION
-tar xvf $CWD/fcitx5-${VERSION}_dict.tar.?z || exit 1
+tar xvf $CWD/fcitx5-${VERSION}_dict.tar.zst || exit 1
cd fcitx5-$VERSION || exit 1
chown -R root:root .